@echo off

set TEMPFILE=%~1
set CFGDIR=%~3
for %%I in (%*) do set PROPS_FILE=%%~I
for %%I in (%PROPS_FILE%) do set PROPS_NAME=%%~nI

if "%PROPS_FILE%" == "" (
   set LOG_FILE="..\log\getsapjsgroups.err"
) else (
   set LOG_FILE="..\log\%PROPS_NAME%.log"
)
echo [%date%][%time%] Processing start. > %LOG_FILE%
if %TEMPFILE% EQU "" (
    echo [%date%][%time%]ERROR: Missing output file argument.>> %LOG_FILE%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
    exit /b 1
)
else (
   type nul > "%TEMPFILE%"
)
if "%CFGDIR%" EQU "" (
    echo [%date%][%time%] ERROR: Missing full path to cfg file argument.>> %LOG_FILE%
    echo [%date%][%time%] Processing finished. [FAILURE]>> %LOG_FILE%
        exit /b 1
)
copy /Y /B "%CFGDIR%" "%TEMPFILE%" /B>nul 2>&1
if errorlevel 1 (
    echo [%date%][%time%] ERROR: File %CFGDIR% was not copied. >> %LOG_FILE%
    echo [%date%][%time%] Processing finished [FAILURE]. >> %LOG_FILE%
    exit /b 1
) else (
    echo [%date%][%time%] File %CFGDIR% was copied successfully. >> %LOG_FILE%
    echo [%date%][%time%] Processing finished [SUCCESS]. >> %LOG_FILE%
    exit /b 0
)

