#!/usr/bin/sh
# Licensed Materials - Property of IBM
# 5724-S67
# (c) Copyright IBM Corp. 1998, 2007   All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
tempfile=$1
to_use_getaixgroups_script=0
while [ $# -gt 1 ]
do
  [ "$1" != "AIX_group.cfg" ] || to_use_getaixgroups_script=1 
  shift
done

if [ $to_use_getaixgroups_script -eq 1 ]
then
  ../bin/getaixgroups.sh $tempfile > ../log/getgroups.log
else
  ../bin/marge -out $tempfile > ../log/getgroups.log
fi 
